<?php
/* ===============================================
	SKIN CATEGORIES, Customizer section
	Skin - Premium WordPress Theme, by NordWood
================================================== */
    $wp_customize->add_setting( 'skin_colors_categories', array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_colors_categories', array(
		'section' 		=> 'skin_categories',
		'divider' 		=> false,
		'description' 	=> esc_html__( 'Choose color and image for each post category. If assigned, the image will appear on category archive and in categories slider.', 'skin' )
	)));
	
// Category color
	$cats = get_categories( array( 'hide_empty' => 0 ) );
	
	foreach ( $cats as $cat ) {
		$cat_name = $cat->name;
		$cat_slug = $cat->slug;
		$cat_id = $cat->term_id;
		
		$wp_customize->add_setting( 'skin_colors_cat_'.$cat_slug, array(
			'default'           => '#f18597',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_hex_color',
			'type'				=> 'theme_mod' 
		));
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'skin_colors_cat_'.$cat_slug, array(
			'label'		=> esc_html( $cat_name ),
			'section'  	=> 'skin_categories',
			'settings' 	=> 'skin_colors_cat_'.$cat_slug
		)));
		
		$wp_customize->add_setting( 'skin_cat_img_'.$cat_id, array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'absint',
			'transport' 		=> 'postMessage',
			'type'           	=> 'theme_mod'
		));
		
		$wp_customize->add_control( new WP_Customize_Cropped_Image_Control( $wp_customize, 'skin_cat_img_'.$cat_id, array(
			'section'	=> 'skin_categories',
			'settings'	=> 'skin_cat_img_'.$cat_id,
			'width' 	=> 640,
			'height' 	=> 640
		)));
	}
	
/*	Categories widget
====================== */
    $wp_customize->add_setting( 'skin_widgets', array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_widgets', array(
		'section'	=> 'skin_categories',
		'label'		=> esc_html__( 'Categories widget', 'skin' ),
		'divider'	=> false
	)));
	
// Exclude posts by category
	$wp_customize->add_setting( 'skin_sidebars_cats_widget_hide_cats', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'sanitize_text_field'
	));
	
	$wp_customize->add_control( 'skin_sidebars_cats_widget_hide_cats', array(
		'label'      	=> esc_html__( 'Exclude categories', 'skin' ),
		'description'  	=> esc_html__( 'Use category ID. For multiple categories, separate ids with comma.', 'skin' ),
		'section'    	=> 'skin_categories',
		'settings'   	=> 'skin_sidebars_cats_widget_hide_cats',
		'type'       	=> 'text'
	));
?>