<?php
/* ===============================================
	SKIN OPTIMIZATION, Customizer section
	Skin - Premium WordPress Theme, by NordWood
================================================== */
/*	WordPress actions and filters
=================================== */
    $wp_customize->add_setting( 'skin_opt_note', array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_opt_note', array(
		'section'		=> 'skin_opt',
		'description'	=> esc_html__( 'This section includes a few basic controls for site optimization. To learn more about how these options work and when you should use them, please read the documentation provided with Skin.', 'skin' ),
		'divider'		=> false
	)));
	
// WP native features
    $wp_customize->add_setting( 'skin_opt_emoji', array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_opt_emoji', array(
		'section'		=> 'skin_opt',
		'label'			=> esc_html__( 'WordPress native features', 'skin' )
	)));
	
// Remove WP Emojis
	$wp_customize->add_setting( 'skin_opt_no_emojis', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_opt_no_emojis', array(
		'label'      => esc_html__( 'Disable WordPress Emojis', 'skin' ),
		'section'    => 'skin_opt',
		'settings'   => 'skin_opt_no_emojis',
		'type'       => 'checkbox'
	));
	
// Remove query string from static files
	$wp_customize->add_setting( 'skin_opt_no_queries_on_static_files', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_opt_no_queries_on_static_files', array(
		'label'      => esc_html__( 'Remove query string from static files', 'skin' ),
		'section'    => 'skin_opt',
		'settings'   => 'skin_opt_no_queries_on_static_files',
		'type'       => 'checkbox'
	));
	
// Move jQuery to footer
	$wp_customize->add_setting( 'skin_opt_jquery_in_footer', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_opt_jquery_in_footer', array(
		'label'      => esc_html__( 'Move jQuery scripts to footer', 'skin' ),
		'section'    => 'skin_opt',
		'settings'   => 'skin_opt_jquery_in_footer',
		'type'       => 'checkbox'
	));
	
/*	Skin elements
==================== */
    $wp_customize->add_setting( 'skin_opt_mobile', array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_opt_mobile', array(
		'section'		=> 'skin_opt',
		'label'			=> esc_html__( 'Skin elements', 'skin' )
	)));
	
// Disable on-load popout for mobiles
	$wp_customize->add_setting( 'skin_opt_no_popout_on_mobile', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_opt_no_popout_on_mobile', array(
		'label'      => esc_html__( 'Disable popout on-load on mobile devices', 'skin' ),
		'section'    => 'skin_opt',
		'settings'   => 'skin_opt_no_popout_on_mobile',
		'type'       => 'checkbox'
	));
	
// Minify dynamic inline css
	$wp_customize->add_setting( 'skin_opt_minify_dynamic_inline_css', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_opt_minify_dynamic_inline_css', array(
		'label'      => esc_html__( 'Minify dynamic inline css', 'skin' ),
		'section'    => 'skin_opt',
		'settings'   => 'skin_opt_minify_dynamic_inline_css',
		'type'       => 'checkbox'
	));
?>